# Changelog

Все изменения данного проекта будут задокументированы в этом файле.

Формат основан на [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
проект придерживается [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.2.1] - 18-02-2024

### Добавлено

- Методы работы с товарами
  - Получить список категорий товаров
  - Получить список товаров группы
  - Получить товары по ID
  - Добавить товар
  - Изменить товар
  - Удалить товар
  - Сгруппировать товары
- Методы работы с подборками товаров
  - Получить список подборок
  - Получить подборки по ID
  - Добавить подборку
  - Удалить товар из подборки
  - Удалить подборку
- Работа со свойствами товаров
  - Получить список свойств
  - Создать универсальное свойство товара
  - Изменить универсальное свойство товара
  - Удалить универсальное свойство товара
  - Создать вариант значения свойства
  - Изменить вариант значения свойства
  - Удалить вариант значения свойства
- Unit тесты для библиотеки работы с VK

### Исправлено 

- Деффекты SonarQube по всем библиотекам



## [1.2.0] - 11-02-2024

### Добавлено

- Функции для работы с файлами и папками
    - Получить информацию о диске
    - Получить список файлов диска
    - Создать папку
    - Загрузить файл (из Двоичных данных или по пути к файлу)
    - Загрузить файл по URL на диск
    - Получить информацию об объекте по его пути на Диске
    - Создать копию объекта
    - Переместить объект
    - Удалить объект
    - Получить ссылку на скачивание
- Функции для работы с объектами в публичном доступе
    - Опубликовать объект в публичный доступ
    - Получить информацию о публичном объекте по URL
    - Получить ссылку для скачивания публичного объекта
    - Сохранить публичный объект на свой диск Диск
    - Получить список своих публичных объектов
    - Отменить публикацию объекта

### Изменено

- Unit тесты для Yadex Disk и Telegram на замену ручному тестированию


## [1.1.0] - 29-01-2024

### Добавлено

- Работа с базами данных
  - Создание базы данных
  - Получение информации о базе данных
  - Изменение свойств базы данных
- Работа со страницами
  - Создание страниц: дочерних другой странице и в базу данных
  - Получение информации о странице
  - Изменение свойств страницы
- Работа с блоками
  - Создание блока
  - Удаление блока
  - Получение блока
  - Получение списка дочерних блоков
- Работа с пользователями
  - Получение списка пользователей рабочего пространства
  - Получение информации о пользователе по ID
  
### Исправлено 

- Деффекты SonarQube по всем библиотекам


## [1.0.0] - 14-01-2024

### Добавлено

- Библиотека [TelegramEnterprise](https://github.com/Bayselonarrend/TelegramEnterprise/) для работы с Telegram
- Библиотека [VKEnterprise](https://github.com/Bayselonarrend/VKEnterprise/) для работы с VK
- Библиотека [ViberEnterprise](https://github.com/Bayselonarrend/ViberEnterprise/) для работы с Viber
- Новая библиотека для работы с Twitter
- Документация Docusaurus
