---
sidebar_position: 1

---

# Добро пожаловать!

![OPI](../static/img/logo_long.png)

**Открытый пакет интеграций** - набор библиотек для интеграции с некоторыми популярными API для 1C:Enterprise и OneScript. Он состоит из общих модулей, каждый из которых отвечает за свой API, а также нескольких модулей-инструментов, общих для всех. 

Реализованные методы выполняют конечные задачи (вроде *ОтправитьСообщение()* или *СоздатьПост()*), что позволяет использовать их без углубления в реализацию. Однако, код, при этом, достаточно сильно декомпозирован - методы авторизации, получения данных и пр. по возможности вынесены в отдельные функции. Это позволяет легко добавлять новые методы, даже если они еще не реализованы в самой библиотеке на текущий момент.

Доступные API:
<a href="/docs/Telegram/"> <img src={require('../static/img/APIs/Telegram.png').default} width='32px' /></a>
<a href="/docs/VK/"><img src={require('../static/img/APIs/VK.png').default} width='32px'/> </a>
<a href="/docs/Viber/"><img src={require('../static/img/APIs/Viber.png').default} width='32px'/> </a>
<a href="/docs/Twitter/"><img src={require('../static/img/APIs/Twitter.png').default} width='32px'/> </a>
<a href="/docs/Notion/"><img src={require('../static/img/APIs/Notion.png').default} width='32px'/> </a>
<a href="/docs/Yandex_Disk/"><img src={require('../static/img/APIs/YandexDisk.png').default} width='32px'/> </a>
<a href="/docs/Google_Calendar/"><img src={require('../static/img/APIs/GoogleCalendar.png').default} width='32px'/> </a>

## Начало работы

Для начала работы с ОПИ в 1С необходимо добавить его в свою конфигурацию. Так как весь проект представляет из себя общие модули, сделать это можно несколькими способами:

- Подключением расширения
- Добавлением модулей под загрукзу XML/EDT
- Созданием общих модулей вручную в конфигурации и копированием содержимого в них

Вне зависимости от выбранного сопособа установки, получать файлы необходимо из [Release](https://github.com/Bayselonarrend/OpenIntegrations/releases), так как в самих файлах репозитория бывают промежуточные данные и функции, находящиеся в процессе разработки. 

<br/>

Для начала работы в OneScript необходимо скачать ospx файл из последнего доступного релиза, после чего выполнить Bash/CMD команду

```

	opm install ./OInt-1.0.0.ospx

```

## Структура модулей

Общие модули проекта бывают двух видов: 

- Служебные 
	- OPI_Инструменты
	- OPI_Криптография
- Модули непосредственной работы с API
	- OPI_Telegram, OPI_VK...
	
:::warning
Не рекомендуется использовать методы служебных модулей в других местах вашей конфигурации (если вы собираетесь обновляться до новых версий в дальнейшем). Для сохранения обратной совместимости, количество/назначение параметров и типы возвращаемых значений для методов работы с API не изменяются, но это не применимо к служебным модулям, которые могут изменяться как угодно для оптимизации и дополнения под новые нужды. Если вам необходим функционал из служебных модулей, рекомендуется скопировать его себе отдельно.
:::