---
sidebar_position: 6
---

# Создать ссылку-приглашение
Создает ссылку для вступления в закрытый чат


*Функция СоздатьСсылкуПриглашение(Знач Токен, Знач IDЧата, Знач Заголовок = "", Знач ДатаИстечения = "", Знач ЛимитПользователей = 0) Экспорт*

  | Параметр | Тип | Назначение |
  |-|-|-|
  | Токен | Строка | Токен бота |
  | IDЧата | Строка/Число | ID целевого чата |
  | Заголовок | Строка (необяз.) | Имя приглашения |
  | ДатаИстечения | Дата (необяз.) | Дата, после которой ссылка станет неактивной. Безсрочно по умолчанию |
  | ЛимитПользователей | Число (необяз.) | Лимит вступлений по ссылке. Бесконечно по умолчанию |
  
  Вовзращаемое значение: Соответствие - сериализованный JSON ответа от Telegram


```bsl title="Пример кода"
	
	Токен         = "111111111:AACccNYOAFbuhAL5GAaaBbbbOjZYFvLZZZZ";
	ДатаИстечения = ТекущаяДатаСеанса() + 60 * 60 * 24;
	
	Ответ = OPI_Telegram.СоздатьСсылкуПриглашение(Токен, "@testsichee", "Приглашение", ДатаИстечения); //Соответствие
	Ответ = OPI_Инструменты.JSONСтрокой(Ответ);                                                        //JSON строка                                            
	
```

```json title="Результат"

{
 "result": {
  "creates_join_request": false,
  "is_revoked": false,
  "expire_date": 1704646618,
  "is_primary": false,
  "creator": {
   "username": "sicheebot",
   "first_name": "Sichee",
   "is_bot": true,
   "id": 0987654321
  },
  "name": "Приглашение",
  "invite_link": "https://t.me/+rGwUa7PARLcwM112"
 },
 "ok": true
}

```
