---
sidebar_position: 1
---

# Пример обработки данных
Пример разбора данных из HttpСервисЗапроса в читабельный вид при работе в режиме *webhook*


*Функция ОбработатьДанные(Знач Запрос) Экспорт*

  | Параметр | Тип | Назначение |
  |-|-|-|
  | Запрос | HttpСервисЗапрос | Запрос, приходящий на http-сервис, использующийся как обработчик webhook |
  
  Вовзращаемое значение: Структура - Структура параметров в читабельном виде


```bsl title="HTTP-сервис модуль"
	
Функция TelegramMain(Запрос)

	Данные = OPI_Telegram.ОбработатьДанные(Запрос)
	
	//...
	//Работа с данными
	
	Ответ = Новый HTTPСервисОтвет(200);
	Возврат Ответ;

КонецФункции
	
```

```bsl title="Структура"

	СтруктураПараметровВыходная = Новый Структура;
	СтруктураПараметровВыходная.Вставить("Вид"           , "");
	СтруктураПараметровВыходная.Вставить("Никнейм"       , "");
	СтруктураПараметровВыходная.Вставить("IDПользователя", "");
	СтруктураПараметровВыходная.Вставить("IDСообщения"   , "");
	СтруктураПараметровВыходная.Вставить("IDЧата"        , "");
	СтруктураПараметровВыходная.Вставить("Сообщение"     , "");	
	СтруктураПараметровВыходная.Вставить("Дата"          , ТекущаяДатаСеанса());                                     
	СтруктураПараметровВыходная.Вставить("БотОтключен"   , Ложь);

```
