---
sidebar_position: 1
---

# Отправить текстовое сообщение
Отправляет текстовое сообщение в чат или канал


*Функция ОтправитьТекстовоеСообщение(Знач Токен, Знач IDЧата, Знач Текст, Знач Клавиатура = "") Экспорт*

  | Параметр | Тип | Назначение |
  |-|-|-|
  | Токен | Строка | Токен бота |
  | IDЧата | Строка/Число | ID целевого чата. Если необходима отправка в определенную тему, её номер нужно указывать через * (IDЧата*IDТемы) |
  | Текст | Строка | Текст сообщения |
  | Клавиатура | Строка (необяз.) | JSON клавиатуры. См. [Сформировать клавиатуру по массиву кнопок](./Sformirovat-klaviaturu-po-massivu-knopok) |
  
  Вовзращаемое значение: Соответствие - сериализованный JSON ответа от Telegram

```bsl title="Пример кода"
	
	МассивКнопок = Новый Массив;
	МассивКнопок.Добавить("Отлично");
	МассивКнопок.Добавить("Нормально");
	МассивКнопок.Добавить("Плохо");
	
	Токен           = "111111111:AACccNYOAFbuhAL5GAaaBbbbOjZYFvLZZZZ";
	Клавиатура      = OPI_Telegram.СформироватьКлавиатуруПоМассивуКнопок(МассивКнопок, Истина, Истина);
	ТекстСообщения  = "Привет, как у тебя дела?";
 	
	Ответ = OPI_Telegram.ОтправитьТекстовоеСообщение(Токен, 1234567890, ТекстСообщения, Клавиатура); //Соответствие
	Ответ = OPI_Инструменты.JSONСтрокой(Ответ);                                                      //JSON строка
	
```

![Результат](img/4.png)

```json title="Результат"

{
 "result": {
  "reply_markup": {
   "inline_keyboard": [
    [
     {
      "callback_data": "Отлично",
      "text": "Отлично"
     }
    ],
    [
     {
      "callback_data": "Нормально",
      "text": "Нормально"
     }
    ],
    [
     {
      "callback_data": "Плохо",
      "text": "Плохо"
     }
    ]
   ]
  },
  "text": "Привет, как у тебя дела?",
  "date": 1704534349,
  "chat": {
   "username": "JKIee",
   "type": "private",
   "last_name": "Titowets",
   "first_name": "Anton",
   "id": 1234567890
  },
  "from": {
   "username": "sicheebot",
   "first_name": "Sichee",
   "is_bot": true,
   "id": 0987654321
  },
  "message_id": 18
 },
 "ok": true
}

```
