---
sidebar_position: 1
---

# Создать пост
Создает пост с картинками

*Функция СоздатьПост(Знач Текст, Знач МассивКартинок, Знач Рекламный = Ложь, Знач СсылкаПодЗаписью = "", Знач Параметры = "") Экспорт*

  | Параметр | Тип | Назначение |
  |-|-|-|
  | Текст | Строка | Непосредственно текст поста |
  | МассивКартинок | Массив строк, Массив Двоичных данных | Массив двоичных данны или путей к картинкам поста|
  | Рекламный | Булево (необяз.) | Пометить пост как рекламу. По умолчанию - Ложь |
  | СсылкаПодЗаписью | Строка (необяз.) | URL, отображаемый под постом, ели необходим |
  | Параметры | Структура (необяз.) | Параметры / перезапись стандартных параметров (см. [Получение необходимых данных](../)) |
  
  Вовзращаемое значение: Соответствие - сериализованный JSON ответа от VK

```bsl title="Пример кода"
	
	МассивКартинок = Новый Массив;
	МассивКартинок.Добавить("C:\logo.png");
	МассивКартинок.Добавить("C:\logo_long.png");
	
	Ответ = OPI_VK.СоздатьПост("Следите за проектом ОПИ на Github!"
		, МассивКартинок
		, Ложь
		, "https://github.com/Bayselonarrend/OpenIntegrations"
		, Параметры);
	
	Ответ  = OPI_Инструменты.JSONСтрокой(Ответ);

```

![Результат](img/1.png)

```json title="Результат"

{
 "response": {
  "post_id": 221
 }
}

```
