---
sidebar_position: 1
---

# Получить список категорий товаров
Получает список ID товарных категорий для указания при создании товара

*Функция ПолучитьСписокКатегорийТоваров(Знач Параметры = "") Экспорт*

  | Параметр | Тип | Назначение |
  |-|-|-|
  | Параметры | Структура (необяз.) | Параметры / перезапись стандартных параметров (см. [Получение необходимых данных](../)) |
  
  Вовзращаемое значение: Соответствие - Ключ - ID, Значение - Наименование

```bsl title="Пример кода"
		
	Ответ = OPI_VK.ПолучитьСписокКатегорийТоваров(Параметры); //Соответствие

```

```json title="Результат"

Ключ  Значение

1210	"Деловые услуги"
1200	"Фото- и видеоуслуги"
2162	"Ремонт и строительство"
2115	"Организация праздников"
2322	"Мастер на час"
1207	"Обучение"
2026	"Комп. услуги"
20149	"Товары для школы"
20163	"Коврики на стол"
20161	"Лупы"
20171	"Маркеры и текстовыделители"
20156	"Клейкая лента канцелярская"
20173	"Батарейки"
20152	"Закладки для книг"
20175	"Ежедневники и планеры"
20153	"Точилки"
20157	"Канцелярские ножницы и ножи"
20170	"Органайзеры и подставки"
20160	"Скрепки, кнопки и зажимы"
20151	"Антистеплеры"
20164	"Лотки и накопители для бумаг"
20165	"Корзины для бумаг"
20155	"Клей"
20166	"Бейджи и аксессуары"
20159	"Дыроколы"
20168	"Печати и штампы"
20143	"Аксессуары для взрослых"
20136	"Портсигары"
20135	"Пепельницы"
1205	"Уборка"
20134	"Зажигалки, спички и аксессуары"
20133	"Недвижимость в России"
2000	"Автоуслуги"
20132	"Недвижимость за рубежом"
20130	"Багажные системы"
20128	"Аудио и видео"
20167	"Папки и файлы"
20127	"Инструменты"
20126	"Автоэлектроника и GPS"
20125	"Масла и автохимия"
20124	"Шины и диски"
20129	"Противоугонные устройства"
20123	"Оборудование и тюнинг"
20122	"Запчасти"
20116	"Мототехника"
20183	"Витамины, БАДы и пищевые добавки"
20113	"Для фермерского хозяйства"
20110	"Для птиц"
20108	"Для кошек"
20107	"Для собак"
2129	"Изготовление на заказ"
20115	"Водный транспорт"
20106	"Сауны и бани"
20102	"Инструмент"
20178	"Медицинские изделия и расходные материалы"
20117	"Прицепы и полуприцепы"
20100	"Товары для людей с ограниченными возможностями"
20099	"Контрацептивы и лубриканты"
20096	"Контактные линзы, очки и аксессуары"
20162	"Корректоры для текста"
20095	"Средства гигиены"
20093	"Парфюмерия"
20174	"Конверты"
20114	"Автомобили"
20092	"Мужская косметика"
1206	"Перевозки"
20088	"Уход за телом"
1204	"Ремонт техники"
20085	"Игровая атрибутика"
20083	"Компьютерные кресла"
20082	"Игровые столы"
20079	"Игровые мониторы"
20078	"Игровые компьютеры"
20077	"Игровые ноутбуки"
20076	"Игровые приставки"
20074	"Хобби и творчество"
20104	"Сантехника и инженерные системы"
20071	"Товары для кормления"
20172	"Бумага"
20070	"Техника для мам и детей"
20069	"Подгузники и гигиена"
20176	"Промышленное оборудование и материалы"
20086	"Макияж"
20098	"Витамины, БАДы и пищевые добавки"
20068	"Игрушки и игры"
20066	"Детская комната"
20145	"Эротическое белье и костюмы"
20065	"Автокресла"
20144	"Секс-игрушки"
20180	"Замороженные продукты"
20064	"Напитки"
20063	"Еда на заказ"
20062	"Детское питание"
20061	"Мясные деликатесы"
20055	"Бакалея"
20094	"Ароматерапия"
20054	"Спортивное питание"
20053	"Чемоданы, сумки и рюкзаки"
20131	"Автоаксессуары"
20050	"Спортивные комплексы"
20091	"Маникюр и педикюр"
20080	"Игры для ПК"
20120	"Спецтехника"
20121	"Авиационный транспорт"
20047	"Самокаты, скейтборды и ролики"
20056	"Мясо и птица"
20169	"Калькуляторы"
20042	"Бокс и единоборства"
20040	"Зимний спорт"
20039	"Спортивная обувь"
20058	"Овощи, фрукты, зелень"
20038	"Спортивная одежда"
20101	"Строительные материалы"
20105	"Отделочные материалы"
20044	"Художественная гимнастика"
20141	"Товары для БДСМ"
20146	"Гольф"
20148	"Дартс"
20036	"Сувениры и цветы"
20035	"Подарочные сертификаты"
20111	"Для рыб и рептилий"
20034	"Коллекционирование"
20033	"Музыкальные инструменты"
20051	"Охота и рыбалка"
20031	"Настольные и карточные игры"
20030	"Рукоделие и творчество"
20029	"Книги и журналы"
20154	"Ластики"
20027	"Дача и сад"
20049	"Настольные спортивные игры"
20097	"Ортопедия, Компрессионный трикотаж"
20179	"Ритуальные товары"
20026	"Мебель"
20023	"Домашний текстиль"
20060	"Молочные продукты и яйца"
20022	"Аксесcуары для ванной и туалета"
20158	"Степлеры и скобы"
20090	"Уход за волосами"
20043	"Водный спорт"
20020	"Посуда и товары для кухни"
20103	"Электрика"
20019	"Хозяйственные товары"
20067	"Коляски"
20018	"Техника для красоты и здоровья"
20017	"Встраиваемая бытовая техника"
1203	"Красота и здоровье"
20147	"Теннис и бадминтон"
20150	"Письменные принадлежности"
20016	"Климатическая техника"
20015	"Техника для дома"
20072	"Детское питание и кормление"
20073	"Спорт и отдых"
20009	"Компьютеры и ноутбуки"
20008	"Фото- и видеокамеры"
20012	"Навигаторы"
20119	"Грузовики"
20028	"Билеты и путешествия"
20048	"Электротранспорт"
20081	"Игровая периферия"
20024	"Интерьер и декор"
20025	"Освещение"
20109	"Для грызунов"
20006	"Умный дом и безопасность"
20059	"Соленья"
20005	"Планшеты и электронные книги"
20041	"Командные виды спорта"
20014	"Малая бытовая техника для кухни"
20112	"Для лошадей"
20142	"Эротические сувениры и игры"
20004	"Квадрокоптеры и аксессуары"
20003	"Смартфоны и гаджеты"
20087	"Уход за лицом"
20045	"Велосипеды и аксессуары"
20002	"Детям"
2275	"Уход за животными"
20037	"Тренажеры и фитнес"
20011	"Оргтехника и расходники"
20118	"Автобусы"
20057	"Рыба и морепродукты"
20001	"Мужчинам"
20010	"Сетевое оборудование"
20089	"Защита от солнца и автозагар"
20013	"Крупная бытовая техника"
20021	"Товары для праздников"
20000	"Женщинам"
20052	"Туризм и отдых на природе"
20007	"ТВ, аудио и видео"
20177	"Гадания и эзотерика"

```
