---
sidebar_position: 3
---

# Отправить файл
Отправляет произвольный файл в чат или канал


*Функция ОтправитьФайл(Знач Токен, Знач URL, Знач IDПользователя, Знач ОтправкаВКанал, Знач Расширение, Знач Размер = "") Экспорт*

  | Параметр | Тип | Назначение |
  |-|-|-|
  | Токен | Строка | Токен канала/бота |
  | URL | Строка | Адрес картинки |
  | IDПользователя | Строка | IDПользователя: для канала - администратора, для бота - получателя |
  | ОтправкаВКанал | Булево | Истина - отправка в канал, Ложь - через бота |
  | Расширение | Строка | Расширение файла |
  | Размер | Строка (необяз.) | Размер отправляемого файла. Не рекомендуется оставлять пустым для больших файлов - автоматическое определение размера происходит путем скачивания файла из URL. Указывается в байтах |  
  
  Вовзращаемое значение: Соответствие - сериализованный JSON ответа от Viber

```bsl title="Пример кода"
	
	ТокенКанала      = "523b58ba82afffaa-111111111111111-2222222222222222";
	IDПользователя = "tMNGh111111111D+bT4g==";
	
	Ответ = OPI_Viber.ОтправитьФайл(ТокенКанала, "https://api.athenaeum.digital/1.txt", IDПользователя, Истина, "txt"); //Соответствие
	Ответ = OPI_Инструменты.JSONСтрокой(Ответ);                                                                         //JSON строка
	
```
![Результат](img/3.png)

```json title="Результат"

{
 "chat_hostname": "SN-CHAT-09_",
 "message_token": 5925491906424759104,
 "status_message": "ok",
 "status": 0
}

```
