---
sidebar_position: 1
---

# Отправить текстовое сообщение
Отправляет текстовое сообщение в чат или канал


*Функция ОтправитьТекстовоеСообщение(Знач Токен, Знач Текст, Знач IDПользователя, Знач ОтправкаВКанал, Знач Клавиатура = "") Экспорт*

  | Параметр | Тип | Назначение |
  |-|-|-|
  | Токен | Строка | Токен канала/бота |
  | Текст | Строка | Текст сообщения |
  | IDПользователя | Строка | IDПользователя: для канала - администратора, для бота - получателя |
  | ОтправкаВКанал | Булево | Истина - отправка в канал, Ложь - пользователю|
  | Клавиатура | Строка (необяз.) | JSON клавиатуры (для чат-ботов). См. [Сформировать клавиатуру по массиву кнопок](./Sformirovat-klaviaturu-po-massivu-knopok) |
  
  Вовзращаемое значение: Соответствие - сериализованный JSON ответа от Viber

```bsl title="Пример кода"
	
	ТокенБота      = "523b5b25ed27e6ec-111111111111111-2222222222222222";
	IDПользователя = "d3jxe1111111111jYGgZg==";
	
	МассивКнопок = Новый Массив;
	
	МассивКнопок.Добавить("Кнопка 1");
	МассивКнопок.Добавить("Кнопка 2");
	МассивКнопок.Добавить("Кнопка 3");
		
	Клавиатура = OPI_Viber.СформироватьКлавиатуруИзМассиваКнопок(МассивКнопок);
	
	Ответ = OPI_Viber.ОтправитьТекстовоеСообщение(ТокенБота, "Привет", IDПользователя, Ложь, Клавиатура); //Соответствие
	Ответ = OPI_Инструменты.JSONСтрокой(Ответ);                                                             //JSON строка
	
```
![Результат](img/1.png)

```json title="Результат"

{
 "chat_hostname": "SN-CHAT-10_",
 "message_token": 5925400810709476620,
 "status_message": "ok",
 "status": 0
}

```
