---
sidebar_position: 12
---

# Сформировать клавиатуру по массиву кнопок
Формирует простую JSON клавиатуру из массив кнопок для сообщения или нижней панели


*Функция СформироватьКлавиатуруИзМассиваКнопок(Знач МассивКнопок, Знач ЦветКнопок = "") Экспорт*

  | Параметр | Тип | Назначение |
  |-|-|-|
  | МассивКнопок | Массив из Строка | Массив строк названий кнопок |
  | ЦветКнопок | Строка (необяз.) | HEX цвета для кнопок |
  
  Вовзращаемое значение: Структура - Структура клавиатуры


```bsl title="Пример кода"
	
	МассивКнопок = Новый Массив;
	МассивКнопок.Добавить("Кнопка 1");
	МассивКнопок.Добавить("Кнопка 2");
	МассивКнопок.Добавить("Кнопка 3");
	
	Клавиатура = OPI_Viber.СформироватьКлавиатуруИзМассиваКнопок(МассивКнопок); //Структура
	JSON       = OPI_Инструменты.JSONСтрокой(Клавиатура);                       //Строка

	
```



```json title="Результат"

{
 "Buttons": [
  {
   "ActionType": "reply",
   "ActionBody": "Кнопка 1",
   "Text": "Кнопка 1",
   "BgColor": "#2db9b9",
   "Coloumns": 3
  },
  {
   "ActionType": "reply",
   "ActionBody": "Кнопка 2",
   "Text": "Кнопка 2",
   "BgColor": "#2db9b9",
   "Coloumns": 3
  },
  {
   "ActionType": "reply",
   "ActionBody": "Кнопка 3",
   "Text": "Кнопка 3",
   "BgColor": "#2db9b9",
   "Coloumns": 3
  }
 ],
 "Type": "keyboard"
}

```
